/* cyrillic-ext */
@font-face {
  font-family: 'SF Pro Display';
  src: url('SFProDisplay-Bold.woff') format('woff');
  unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
}

body {
  margin: 0;
  font-family: 'SF Pro Display', sans-serif;
}

.top-avatar {
  width: 60px;
}

.flag {
  width: 100px;
}

.top-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  width: 100%;
  height: 100px;
}

@media (max-width: 550px) {
  .top-container {
    flex-direction: column;
  }

  .top-avatar {
    margin-right: unset;
    margin: 0 auto !important;
  }
}

input[name='phone2'].error {
  color: red !important;
}

.flag {
  font-family: 'SF Pro Display', sans-serif;
}

.error {
  border: 1px solid red;
  margin-bottom: 10px !important;
}

input[type='tel'] {
  width: 100%;
}

.iti {
  width: 100%;
}

.overlay-HIYyFVszYb {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.8);
  z-index: 1000;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-align-items: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  overflow-y: auto;
  display: none;
}

.lds-spinner-HIYyFVszYb {
  color: official;
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}

.lds-spinner-HIYyFVszYb div {
  transform-origin: 40px 40px;
  animation: lds-spinner-HIYyFVszYb 1.2s linear infinite;
}

.lds-spinner-HIYyFVszYb div:after {
  content: ' ';
  display: block;
  position: absolute;
  top: 3px;
  left: 37px;
  width: 6px;
  height: 18px;
  border-radius: 20%;
  background: #fff;
}

.lds-spinner-HIYyFVszYb div:nth-child(1) {
  transform: rotate(0deg);
  animation-delay: -1.1s;
}

.lds-spinner-HIYyFVszYb div:nth-child(2) {
  transform: rotate(30deg);
  animation-delay: -1s;
}

.lds-spinner-HIYyFVszYb div:nth-child(3) {
  transform: rotate(60deg);
  animation-delay: -0.9s;
}

.lds-spinner-HIYyFVszYb div:nth-child(4) {
  transform: rotate(90deg);
  animation-delay: -0.8s;
}

.lds-spinner-HIYyFVszYb div:nth-child(5) {
  transform: rotate(120deg);
  animation-delay: -0.7s;
}

.lds-spinner-HIYyFVszYb div:nth-child(6) {
  transform: rotate(150deg);
  animation-delay: -0.6s;
}

.lds-spinner-HIYyFVszYb div:nth-child(7) {
  transform: rotate(180deg);
  animation-delay: -0.5s;
}

.lds-spinner-HIYyFVszYb div:nth-child(8) {
  transform: rotate(210deg);
  animation-delay: -0.4s;
}

.lds-spinner-HIYyFVszYb div:nth-child(9) {
  transform: rotate(240deg);
  animation-delay: -0.3s;
}

.lds-spinner-HIYyFVszYb div:nth-child(10) {
  transform: rotate(270deg);
  animation-delay: -0.2s;
}

.lds-spinner-HIYyFVszYb div:nth-child(11) {
  transform: rotate(300deg);
  animation-delay: -0.1s;
}

.lds-spinner-HIYyFVszYb div:nth-child(12) {
  transform: rotate(330deg);
  animation-delay: 0s;
}

@keyframes lds-spinner-HIYyFVszYb {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

.visible-HIYyFVszYb {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

.plug {
  display: flex;
  top: 0;
  position: fixed;
  overflow: hidden;
  height: 100%;
  width: 100%;
  background: white;
  z-index: 999999;
  align-items: center;
  justify-content: center;
  font-size: 22px;
  text-align: center;
  font-weight: bold;
  font-family: 'SF Pro Display', sans-serif;
  padding: 0 20px;
}

* {
  box-sizing: border-box;
}

.main-bg {
  /* background: #f4f4f4; */
  height: 100vh;
}

.date {
  margin: auto;
  padding: 7px 20px;
  border-radius: 60px;
  width: fit-content;
  background: white;
  font-family: 'SF Pro Display', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 10px;
  line-height: 12px;
  text-align: center;
  color: #000000;
  position: relative;
}

.left-chat .chat-block,
.right-chat .chat-block {
  background: #c2ffd7;
  border-radius: 0px 16px 16px 16px;
  background: #eee;

  padding: 16px 20px 22px 16px;
  font-family: 'SF Pro Display', sans-serif;
  font-style: normal;
  font-weight: 100;
  font-size: 18px;
  line-height: 20px;
  max-width: 100%;

  color: #000000;
}

.right-chat .chat-block {
  border-radius: 26px 4px 26px 26px;
  border-radius: 16px 0px 16px 16px;
  background: #e7e2fc;
}

.chat {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 75%;
  height: 69%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.main-chat {
  width: 100%;
  height: 100%;
  overflow: auto;
  padding-inline: 10px;
  border-radius: 20px;
  border: 4px solid rgba(255, 255, 255, 0.3);
  background: var(--ios-status-bar-status-bar-background-color, #fff);
  backdrop-filter: blur(37px);
  display: block;
  padding: 8%;
}

.chat-header {
  width: 100%;
  padding: 3% 8%;
  border-radius: 20px 20px 0px 0px;
  border-bottom: 1px solid #eee;
  background: var(--ios-status-bar-status-bar-background-color, #fff);
  box-shadow: 0px 4px 10px 0px rgba(136, 136, 136, 0.2);
  z-index: 1000;
  display: block;
  justify-content: space-around;
  position: absolute;
}

.logo {
  display: flex;
  align-items: center;
}

.logo img {
  width: 52px;
  height: auto;
}

.logo h2 {
  font-size: 1.8rem;
  font-weight: 500;
  padding-left: 10px;
}

.profile-container {
  display: flex;

  align-items: center;

  justify-content: space-between;
}

.profile-pic {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  margin-right: 15px;
  background-color: #d3d3d3; /* Placeholder for profile image */
}

.profile-info {
  flex-grow: 1;
}

.profile-name {
  color: var(--ios-status-bar-status-bar-text-color, #000);
  font-size: 24px;
  font-style: normal;
  font-weight: 400;
  line-height: 0%;
}

.status {
  color: #28a745; /* Green for online status */
  font-size: 14px;
  position: relative;
  margin-left: 1.5rem;
}
.status:before {
  content: '';
  background-image: url('f07f52c85c08c01fe541be4b639dfb421f4271f0.svg');
  background-size: cover;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 16px;
  height: 16px;
  left: -1.5rem;
}

.company-logo {
  height: 24px; /* Adjust based on logo size */
}

.main-chat::-webkit-scrollbar {
  display: none;
  /* Safari and Chrome */
}

.custom-form {
  width: 40%;
  margin: 14px auto auto;
  height: 80%;
  padding-bottom: 30px;
}

.left-chat,
.right-chat {
  width: 100%;
  display: flex;
  align-items: center;
  margin-top: 16px;
  justify-content: left;
}

.right-chat {
  justify-content: right;
  flex-direction: row-reverse;
  width: 100%;
}

.time {
  margin-left: 12px;
  margin-right: 12px;
  font-family: 'SF Pro Display', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 12px;

  color: rgba(255, 255, 255, 0.7);
}

.horizontal,
.vertical {
  display: flex;
  justify-content: space-between;
  width: 100%;
  margin-top: 16px;
}

.vertical {
  justify-content: left;
  flex-direction: column;
}

.horizontal {
  justify-content: left;
  flex-direction: row;
  position: relative;

  display: flex;
  align-items: center;
  /* другие стили */
}

.horizontal:before {
  content: '';
  display: block;
  width: 12px;
  height: 62px;
  background-image: url('d4d51e92b55271ed279cde237d5a530dcd75089b.svg');
  background-size: cover;
  position: relative;
  margin-right: 10px;
  top: -13px;
}

.horizontal:first-of-type:before {
  content: '';
  width: 12px;
  height: 62px;
  background-image: url('d4d51e92b55271ed279cde237d5a530dcd75089b.svg');
  background-size: cover;
  position: absolute;
  left: 0;
  top: 33%;
  transform: translateY(-50%);
}

.horizontal.hide:before {
  content: none; /* Убираем контент псевдоэлемента */
}

.answer-btn {
  font-family: 'SF Pro Display', sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 14px;
  line-height: 17px;
  text-align: center;
  color: #000;
  transition: all 0.3s ease-in-out;
  margin-bottom: 16px;
  cursor: pointer;
  border-radius: 8px;
  border: 4px solid rgba(255, 213, 67, 0.3);
  background: #ffd543;
  display: flex;
  height: 52px;
  padding: 20px 52px;
  justify-content: center;
  align-items: center;
  gap: 12px;
  margin-left: 20px;

  color: #222;
  leading-trim: both;
  text-edge: cap;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 140%; /* 22.4px */
}

.vertical .answer-btn {
  width: 100%;
}

.answer-btn:hover {
  background: rgb(246, 206, 66);
}

.form-wrapper {
  padding: 10px;
}

.form {
  display: block;
  border-radius: 10px;
  padding: 20px;
  background: #fff;
  box-shadow: 0px 0px 10px 0px #fff;
  width: 100%;
}

.form h4 {
  text-align: center;
  font-weight: bold;
  margin-bottom: 13px;
  font-size: 1.5rem;
}

.form input {
  width: 100%;
  border-radius: 10px;
  padding: 10px 20px 10px 20px;
  border: 2px solid black;
  margin-bottom: 10px;
  font-family: 'SF Pro Display', sans-serif;
  font-size: 15px;
}

.form-input {
  border-radius: 5px;
  border: 2px solid black;
}

.form button {
  display: block;
  font-family: 'SF Pro Display', sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 14px;
  line-height: 17px;
  text-align: center;
  color: #000;
  background: #50c646;
  border: 2px solid #50c646;
  border-radius: 10px;
  padding: 14px 25px;
  width: 240px;
  height: 50px;
  transition: all 0.3s ease-in-out;
  margin: 10px auto;
}

@media screen and (max-width: 767px) {
  .main-chat,
  .custom-form {
    width: 100%;
  }
}

.input-wrapper {
  position: relative;
  width: 100%;
}

.input-wrapper label {
  position: absolute;
  left: 10px;
  top: 15px;
  font-family: 'SF Pro Display', sans-serif;
  font-size: 15px;
  line-height: 16px;
  color: #000;
}

.submit-wrapper {
  width: 100%;
  position: relative;
}

.loader {
  position: absolute;
  left: 0;
  top: 0;
  border-radius: 10px;
  background: linear-gradient(0deg, #c2ffd7 0%, #c2ffd7 100%), #d1fedd;
  color: #000 !important;
  border: none;
  transition: all 250ms ease;
  width: 240px;
  height: 50px;
  padding: 10px 0;
  text-align: center;
  font-size: 18px;
  font-weight: 700;
  letter-spacing: 0.18px;
  left: 50%;
  transform: translate(-50%, 0);
}

.new-logo {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  gap: 10px;

  margin-right: auto;
}

.new-logo img {
  width: 100px;
}

.new-logo h2 {
  font-size: 30px;
  color: #fff;
  text-transform: uppercase;
  font-style: bold;
}

.new-logo .flag {
}

@media (max-width: 860px) {
  /* .flag{
margin-right: unset;
margin-left: auto;

}
.new-logo{
width: 100%;
padding: 0 10px;
} */
  .new-logo img {
    width: 50px;
  }

  .new-logo h2 {
    font-size: 18px;
  }

  .flag {
    width: 40px;
    height: auto;
  }

  @media (max-width: 500px) {
    .new-logo {
      width: 100%;
      padding: 0 10px;
    }

    .flag {
      margin-right: unset;
      margin-left: auto;
    }

    .top-container {
      height: 150px;
      justify-content: flex-start;
    }
  }
}

.error-message {
  color: red;
}

/* prewiew */

.preview-content {
  background: rgba(255, 255, 255, 0.8); /* Полупрозрачный фон */
  border-radius: 8px;
  padding: 20px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  text-align: center; /* Центрирование текста */
}

.preview-content h1 {
  font-size: 24px;
  margin-bottom: 10px;
}

.preview-content p {
  margin-bottom: 20px;
}

.preview-content button {
  background-color: #50c646; /* Цвет кнопки */
  color: #fff;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.preview-content button:hover {
  background-color: #45b03a; /* Цвет при наведении */
}

.form_header {
  width: 100%;
  padding: 3% 5%;
  border-radius: 20px 20px 0px 0px;
  border-bottom: 1px solid #eee;
  background: var(--ios-status-bar-status-bar-background-color, #fff);
  box-shadow: 0px 4px 10px 0px rgba(136, 136, 136, 0.2);
  z-index: 1000;
  display: block;
  justify-content: space-around;
  top: 0;
}

.form_header_container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.form_header_info {
  display: flex;
  font-size: 18px;
}

.form_header .logo h2 {
  font-size: 18px;
  white-space: nowrap;
}

@media (max-width: 1090px) {
  .form_header_container {
    flex-wrap: wrap;
    justify-content: center;
  }
}

@media (max-width: 1000px) {
  .form_header_container {
    flex-wrap: wrap;
    justify-content: space-between;
  }
}

@media (max-width: 800px) {
  .form_header_container {
    flex-wrap: wrap;
    justify-content: center;
  }
}
